<!DOCTYPE memspec SYSTEM "memspec.dtd">
<memspec>
    <!--
    DDR3L Unbuffered SODIMM Information
    
    Part Number: M471B5674QH0-YH9/K0
    Density: 2GB
    Organization: 256Mx64
    Component Composition: 256Mx16(K4B4G1646Q-HY##)*4
    Number of Rank: 1
    
    Device mounted: K4B4G1646Q-HYK0
    Original fck is 800 MHz (DDR3-1600). Adapted to fck 533 MHz (DDR-1066).
    Deepak provided most of the timing and current values. For the ones not provided datasheet values were used.
    -->
    <parameter id="memoryId" type="string" value="SAMSUNG_K4B4G1646Q_4Gb_DDR3-1066_16bit" />
    <parameter id="memoryType" type="string" value="DDR3" />
    <memarchitecturespec>
        <parameter id="width" type="uint" value="16" />
        <parameter id="nbrOfBanks" type="uint" value="8" />
        <parameter id="nbrOfRanks" type="uint" value="1" />
        <parameter id="nbrOfColumns" type="uint" value="1024" />
        <parameter id="nbrOfRows" type="uint" value="32768" />
        <parameter id="dataRate" type="uint" value="2" />
        <parameter id="burstLength" type="uint" value="8" />
    </memarchitecturespec>
    <memtimingspec>
        <parameter id="clkMhz" type="double" value="533" />
        <parameter id="RC" type="uint" value="27" />
        <parameter id="RCD" type="uint" value="8" />
        <parameter id="RL" type="uint" value="6" />
        <parameter id="RP" type="uint" value="8" />
        <parameter id="RFC" type="uint" value="160" />
        <parameter id="RAS" type="uint" value="20" />
        <parameter id="WL" type="uint" value="5" />
        <parameter id="AL" type="uint" value="0" />
        <parameter id="DQSCK" type="uint" value="0" />
        <parameter id="RTP" type="uint" value="6" />
        <parameter id="WR" type="uint" value="8" />
        <parameter id="XP" type="uint" value="4" />
        <parameter id="XPDLL" type="uint" value="13" />
        <parameter id="XS" type="uint" value="64" />
        <parameter id="XSDLL" type="uint" value="512" />
        <parameter id="REFI" type="uint" value="4160" />
        <parameter id="CL" type="uint" value="6" />
        <parameter id="FAW" type="uint" value="27" />
        <parameter id="RRD" type="uint" value="6" />
        <parameter id="CCD" type="uint" value="4" />
        <parameter id="WTR" type="uint" value="6" />
        <parameter id="CKE" type="uint" value="6" />
        <parameter id="CKESR" type="uint" value="5" />
    </memtimingspec>
    <mempowerspec>
        <parameter id="idd0" type="double" value="125.0" />
        <parameter id="idd2p0" type="double" value="16.0" />
        <parameter id="idd2p1" type="double" value="55.0" />
        <parameter id="idd2n" type="double" value="34.0" />
        <parameter id="idd3p0" type="double" value="70.0" />
        <parameter id="idd3p1" type="double" value="70.0" />
        <parameter id="idd3n" type="double" value="60.0" />
        <parameter id="idd4w" type="double" value="402.0" />
        <parameter id="idd4r" type="double" value="412.0" />
        <parameter id="idd5" type="double" value="395.0" />
        <parameter id="idd6" type="double" value="22.0" />
        <parameter id="vdd" type="double" value="1.5" />
    </mempowerspec>
</memspec>
